Subject: [RFC] ARM VM System Sepcification

From: [email-masked] (Michael Hudson-Doyle)
Date: Thu, 27 Feb 2014 10:05:05 +1300

Christoffer Dall <[email-masked]> writes:

> Hardware Description
> --------------------
> The Linux kernel's proper entry point always takes a pointer to an FDT,
> regardless of the boot mechanism, firmware, and hardware description
> method.  Even on real hardware which only supports ACPI and UEFI, the kernel
> entry point will still receive a pointer to a simple FDT, generated by
> the Linux kernel UEFI stub, containing a pointer to the UEFI system
> table.  The kernel can then discover ACPI from the system tables.  The
> presence of ACPI vs. FDT is therefore always itself discoverable,
> through the FDT.
>
> Therefore, the VM implementation must provide through its UEFI
> implementation, either:
>
>   a complete FDT which describes the entire VM system and will boot
>   mainline kernels driven by device tree alone, or
>
>   no FDT.  In this case, the VM implementation must provide ACPI, and
>   the OS must be able to locate the ACPI root pointer through the UEFI
>   system table.

Maybe I'm missing something, but should this last bit say "a trivial
FDT" instead of "no FDT"?  If not, I don't understand the first
paragraph :-)

Cheers,
mwh